Bug 988056 - We should have maximum value for Maximum number of VMs per user
We should have maximum value for Maximum number of VMs per user
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-core (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Betak
virt
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-24 11:46 EDT by Maor
Modified: 2013-09-23 03:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-23 03:27:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log (1.02 MB, text/x-log)
2013-07-24 11:47 EDT, Maor
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 17677 None None None Never

  None (edit)
Description Maor 2013-07-24 11:46:55 EDT
Description of problem:
We can put a very bug number in the "Maximum number of VMs per user" column and the engine can't parse it

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. put any number bigger then 1,000,000 (I tried 100,000,000) in the "Maximum number of VMs per user" text box
2. press on ok
3. edit the pool again

Actual results:
You will see negative number (or wrong number)

Expected results:
We should validate the maximum number and present an appropriate message to the user

Additional info:
Comment 1 Maor 2013-07-24 11:47:33 EDT
Created attachment 777849 [details]
log
Comment 2 Michal Skrivanek 2013-07-25 03:53:36 EDT
either the parsing should be fixed or we can put some artificial big-enough limit like 1000000
Comment 3 Itamar Heim 2013-08-21 12:40:23 EDT
as RC is built, moving to ON_QA (hopefully did not catch incorrect bugs when doing this)
Comment 4 Itamar Heim 2013-09-23 03:27:32 EDT
closing as this should be in 3.3 (doing so in bulk, so may be incorrect)

Note You need to log in before you can comment on or make changes to this bug.